/* Custom scrollbar for a cleaner look */
::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-track {
    background: #181411;
}

::-webkit-scrollbar-thumb {
    background: var(--casul-orange);
    border-radius: 4px;
}

::-webkit-scrollbar-thumb:hover {
    background: var(--casul-orange-hover);
}

/* Static glitch visual effect for the bottom border */
.glitch-border {
    background: linear-gradient(90deg,
            var(--casul-orange) 0%,
            var(--casul-orange) 5%,
            transparent 5%,
            transparent 10%,
            var(--casul-orange) 10%,
            var(--casul-orange) 15%,
            transparent 15%,
            transparent 50%,
            var(--casul-purple-light) 50%,
            var(--casul-purple-light) 55%,
            transparent 55%,
            transparent 85%,
            var(--casul-purple) 85%,
            var(--casul-purple) 95%,
            transparent 95%);
    height: 4px;
    width: 100%;
}
